# rxnav-api #

## notes ##
* This project is continuing to be developed with new functionality added daily - be sure to check back often.

## description ##

* promise-based api to interact with rxnav system by NLM and NIH
* [docs](./docs/README.md)
* [examples](./docs/examples/examples.md)

## recent changes ##

* explicit json or xml support
* [restfulEndpointsList](https://rxnav.nlm.nih.gov/RxNormAPIREST.html#label%3Afunctions=&uLink=RxNorm_REST_list)

## supports ##

* to return *xml*, invoke new RxnavApi().xml() and then chain subsequent calls. (e.g. new RxnavApi().xml().restfulEndpointsList())
* by default, json is returned by the rxnav-api, but to explicitly return *json*, invoke new RxnavApi().json() and then chain subsequent calls. (e.g. new RxnavApi().json().restfulEndpointsList())

* [restfulEndpointsList](https://rxnav.nlm.nih.gov/RxNormAPIREST.html#label%3Afunctions=&uLink=RxNorm_REST_list)

## rxnorm ##

* [allConceptsByTtyList](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getAllConceptsByTTY)
* [approximateTerm](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getApproximateMatch)
* [brands - brandsContainingIngredients](https://rxnav.nlm.nih.gov/RxNormAPIREST.html#label%3Afunctions=&uLink=RxNorm_REST_getMultiIngredBrand)
* [displayNames - retrieve names](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getDisplayTerms)
* [doesRxnormHaveProperty](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_filterByProperty)
* [drugs - search drug](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getDrugs)
* [idtypes - idTypeList](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getIdTypes)
* [ndcproperties - ndcProperties - given an ndc code find its properties](https://rxnav.nlm.nih.gov/RxNormAPIREST.html#label%3Afunctions=&uLink=RxNorm_REST_getNDCProperties)
* [ndcstatus - ndcStatus - given an NDC return its status](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getNDCStatus)
* [allhistoricalndcs - ndcsForRxnorm all NDC(s) for a given rxnorm](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getAllHistoricalNDCs)
* [propCategories - propertyCategoryList list the property categories](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getPropCategories)
* [propnames - propertyNameList list names of available properties](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getPropNames)
* [relatypes - relationTypeList list relationship types](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getRelaTypes)
* [rxnormsForFdbGcnSeqno]()
* [rxnormsForFdbIngredientId]()
* [rxnormsForHcpcsCode]()
* [rxnormsForNdc]()
* [rxnormsForOtherVocabulary](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_findRxcuiById)
* [rxnormsForSnomedCode]()
* [rxnormNdcList](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getNDCs)
* [rxnormProperties](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getRxConceptProperties)
* [rxnormProperty](https://rxnav.nlm.nih.gov/RxNormAPIREST.html#label%3Afunctions=&uLink=RxNorm_REST_getRxProperty)
* [rxnormProprietaryInfo (requires UMLS service ticket)](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getProprietaryInformation)
* [rxnormStatus](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getRxcuiStatus)
* [sourcetypes - sourceTypeList list available vocabulary abbreviated source types](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getSourceTypes)
* [spellingsuggestions - spellingSuggestionList given a med term return possible spellings](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getSpellingSuggestions)
* [termtypes - termTypes list available term types](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getTermTypes)
* [version returns the RxNorm data set version](https://rxnav.nlm.nih.gov/RxNormAPIs.html#uLink=RxNorm_REST_getRxNormVersion)

## install / setup ##

```
 npm install rxnav-api --save
```

# Resources #

* [rxnav api](https://rxnav.nlm.nih.gov/APIsOverview.html)
* [rxnav endpoints](https://rxnav.nlm.nih.gov/REST/)
* [axios](https://github.com/axios/axios)
* [rxnav-api on bitbucket](https://bitbucket.org/javapda/rxnav-api)
* [ndc list search](https://ndclist.com/search)
* [umls-api](https://npmjs.org/package/umls-api)
* [momentjs](https://npmjs.org/package/moment)

# glossary / terminology #

* tty - term type 