# example: displayNames #

## usage: displayNames ##

### node ###
```
const {RxnavApi} = require('rxnav-api')

new RxnavApi()
.rxnorm()
.displayNames()
.then((results)=>{
    console.log(`${JSON.stringify(results)}`)
})
.catch((err)=>console.log(`err=${err}`))
```
### output ###
```
{ displayTermsList: 
   { term: 
      [ '(((1-methyl-2-(5-methyl-3-oxazolidinyl)ethoxy)methoxy)methoxy)methanol',
        '((2s,3s,5s)-2-(2-(2,6-dimethylphenoxy)acetamido)-5-((s)-3-methyl-2-(2-oxotetrahydropyrimidin-1(2h)-yl)butanamido)-1,6-diphenylhexan-3-yl) 3-methyl-2-(2-oxotetrahydropyrimidin-1(2h)-yl)butanoate, (s)-',
        '(1,2,6,7-3h)-testosterone',
        '(1-cyanocyclohexyl)acetic acid',
        '(2-carbethoxyethyl)diethoxy(methyl)silane',
        '(2-chlorophenyl)methyl 4-hydroxybenzoate',
        '(9z)-9-octadecenyl acetate',
        '(all-z)-4,7,10,13,16-docosapentaenoic acid,',
        '(c10-c16)alkyldimethylamine oxide',
        '(c10-c30)alkyl methacrylate ester',
        '(dibutylamino)methanol',
        '(ethinyl estradiol 0.025 mg / norethindrone 0.8 mg chewable tablet) / 4 (ferrous fumarate 75 mg chewable tablet) 28 day pack',
        '(p-hydroxyphenyl)dimethylsulfonium chloride',
        '(phthalocyaninato(2-)) copper',
        '.alpha.,.beta.\'-diglycerin',
        '.alpha.-(.alpha.-aminopropyl)benzyl alcohol',
        '.alpha.-(.alpha.-aminopropyl)benzyl alcohol hydrochloride, erythro-(+/-)-',
        '.alpha.-hexylcinnamaldehyde, (2e)-',
        '.alpha.-isomethionyl acetate, (2r)-(+)',
        '1 (2 oz) (salicylic acid 0.5 % medicated liquid soap) / 1 (0.5 oz) (salicylic acid 0.5 % topical cream) pack',
        '1 (dimethicone 1.25 % 4 fl oz topical lotion) / 1 (ethanol 67 % 2 fl oz topical gel)',
        '1 (lixisenatide 50 mcg/ml in 3 ml pen injector) / 1 (lixisenatide 100 mcg/ml in 3 ml pen injector) starter pack',
        '1 - 6 oz benzoyl peroxide 4 % wash / 2 benzoyl peroxide 5 % medicated bar soap',
        '1 daytime (10 oz acetaminophen 325 mg / dextromethorphan hbr 10 mg / phenylephrine hcl 5 mg per 15 ml oral solution) / 1 nighttime (10 oz acetaminophen 500 mg / dextromethorphan hbr 15 mg / doxylamine succinate 6.25 mg per 15 ml oral solution) pack',
        '1 daytime (296 ml acetaminophen 325 mg / dextromethorphan hbr 10 mg / phenylephrine hcl 5 mg per 15 ml oral solution) and 1 nighttime (296 ml acetaminophen 650 mg / dextromethorphan hbr 30 mg / doxylamine succinate 12.5 mg per 30 ml oral solution) pack',
        '1 daytime (4 OZ brompheniramine maleate 1 MG / dextromethorphan HBr 5 MG / phenylephrine HCl 2.5 MG per 5 ML Oral Solution) / 1 nighttime (4 OZ diphenhydrAMINE HCl 6.25 MG / phenylephrine HCl 2.5 MG per 5 ML Oral Solution) Pack',
        '1 daytime (4 OZ dextromethorphan HBr 20 MG / guaiFENesin 400 MG per 10 ML Oral Solution) / 1 nighttime (4 OZ dextromethorphan HBr 30 MG / doxylamine succinate 12.5 MG per 10 ML Oral Solution) Pack',
        '1 daytime (4 OZ dextromethorphan HBr 20 MG / guaiFENesin 400 MG per 20 ML Oral Solution) / 1 nighttime (4 OZ dextromethorphan HBr 30 MG / doxylamine succinate 12.5 MG per 20 ML Oral Solution) Pack',
        '1 daytime (4 OZ dextromethorphan HBr 5 MG / guaiFENesin 100 MG / phenylephrine HCl 2.5 MG per 5 ML Oral Solution) / 1 nighttime (4 OZ acetaminophen 325 MG / diphenhydrAMINE HCl 12.5 MG / phenylephrine HCl 5 MG per 10 ML Oral Solution) Pack',
        '1 daytime (4 OZ dextromethorphan HBr 5 MG / guaiFENesin 100 MG per 5 ML Oral Solution) / 1 nighttime (4 OZ acetaminophen 325 MG / diphenhydrAMINE HCl 12.5 MG / phenylephrine HCl 5 MG per 10 ML Oral Solution) Pack',
        '1 daytime (4 OZ dextromethorphan HBr 5 MG / phenylephrine HCl 2.5 MG per 5 ML Oral Solution) / 1 nighttime (4 OZ diphenhydrAMINE HCl 6.25 MG / phenylephrine HCl 2.5 MG per 5 ML Oral Solution) Pack',
        '1 daytime (6 OZ acetaminophen 650 MG / guaiFENesin 400 MG / phenylephrine HCl 10 MG per 20 ML Oral Solution) / 1 nighttime (6 OZ acetaminophen 650 MG / diphenhydrAMINE HCl 25 MG / phenylephrine HCl 10 MG per 20 ML Oral Solution) Pack',
        '1 daytime (6 OZ dextromethorphan HBr 20 MG / guaiFENesin 400 MG / phenylephrine HCl 10 MG per 20 ML Oral Solution) / 1 nighttime (6 OZ acetaminophen 650 MG / diphenhydrAMINE HCl 25 MG / phenylephrine HCl 10 MG per 20 ML Oral Solution) Pack',
        '1 daytime (6 OZ dextromethorphan HBr 20 MG / guaiFENesin 400 MG per 20 ML Oral Solution) / 1 nighttime (6 OZ acetaminophen 650 MG / diphenhydrAMINE HCl 25 MG / phenylephrine HCl 10 MG per 20 ML Oral Solution) Pack',
        '1 daytime (8 OZ acetaminophen 500 MG per 15 ML Oral Solution) / 1 nighttime (8 OZ acetaminophen 500 MG / diphenhydrAMINE HCl 25 MG per 15 ML Oral Solution) Pack',
        '1 daytime (8.3 OZ acetaminophen 650 MG / dextromethorphan HBr 20 MG / phenylephrine HCl 10 MG per 30 ML Oral Solution) / 1 nighttime (8.3 OZ acetaminophen 650 MG / diphenhydrAMINE HCl 25 MG / phenylephrine HCl 10 MG per 30 ML Oral Solution) Pack',
        '1 daytime 4 FL OZ (dextromethorphan HBr 12.5 MG / phenylephrine HCl 2.5 MG) per 5 ML Oral Solution / 1 nighttime 4 FL OZ (diphenhydrAMINE HCl 6.25 MG / phenylephrine HCl 2.5 MG) per 1 ML Oral Solution Pack',
        '1 daytime 6 FL OZ (acetaminophen 650 MG / dextromethorphan HBr 20 MG / guaiFENesin 400 MG / phenylephrine HCl 10 MG) per 20 ML Oral Solution / 1 nighttime 6 FL OZ (acetaminophen 650 MG / diphenhydrAMINE HCl 25 MG / phenylephrine HCl 10 MG) per 20 ML Oral Solution',
        '1 daytime 8 FL OZ (acetaminophen 325 MG / dextromethorphan HBr 10 MG / guaiFENesin 200 MG / phenylephrine HCl 5 MG) per 15 ML Oral Solution / 1 nighttime 8 FL OZ (acetaminophen 325 MG / dextromethorphan HBr 10 MG / doxylamine succinate 6.25 MG / phenylephrine HCl 5 MG) per 15 ML Oral Solution Pack',
        '1 nighttime (12 fl oz acetaminophen 650 mg / dextromethorphan hbr 30 mg / doxylamine succinate 12.5 mg per 30 ml oral solution) / 1 daytime (12 fl oz acetaminophen 325 mg / dextromethorphan hbr 10 mg / phenylephrine hcl 5 mg per 15 ml oral solution) pack',
        '1 nighttime (12 fl oz dextromethorphan hydrobromide 30 mg / doxylamine succinate 12.5 mg per 30 ml oral solution) / 1 daytime (12 fl oz dextromethorphan hydrobromide 15 mg per 15 ml oral solution) pack',
        '1,1\'-((1-methyl-1,2-ethanediyl)2-propenoic acid, bis(oxy(1-methyl-2,1-ethanediyl))) ester',
        '1,1\'-oxybis(2-propanol)',
        '1,1,2,2-tetrafluoroethane',
        '1,1,3-tri(3-tert-butyl-4-hydroxy-6-methylphenyl)butane',
        '1,1,3-tris(2-chloroethoy)propane',
        '1,1-difluoroethane',
        '1,10-decanediol',
        '1,2,6-hexanetriol',
        '1,2-benzisothiazoline-3-one',
        '1,2-butanediol',
        '1,2-diarachidoyl-sn-glycero-3-phosphocholine',
        '1,2-dibromo-3-chloropropane',
        '1,2-dimyristoyl-sn-glycero-3-(phospho-rac-(1-glycerol))',
        '1,2-dimyristoyl-sn-glycero-3-(phospho-rac-(1-glycerol)) (sodium salt)',
        '1,2-dimyristoyl-sn-glycero-3-carboxaminopropylpolyethylene glycol 2000 methyl ether',
        '1,2-dioleoyl-sn-glycero-3-phosphocholine',
        '1,2-dipalmitoyl-sn-glycero-3-(phospho-rac-(1-glycerol))',
        '1,2-dipalmitoyl-sn-glycero-3-phospho-(1\'-rac-glycerol)',
        '1,2-dipalmitoyl-sn-glycero-3-phospho-(1\'-rac-glycerol), sodium salt',
        '1,2-dipalmitoylphosphatidylcholine',
        '1,2-dipalmitoylphosphatidylcholine, dl-',
        '1,2-distearoyllecithin',
        '1,2-docosahexanoyl-sn-glycero-3-phosphoserine',
        '1,2-docosahexanoyl-sn-glycero-3-phosphoserine calcium',
        '1,2-hexanediol',
        '1,2-icosapentoyl-sn-glycero-3-phosphoserine',
        '1,2-icosapentoyl-sn-glycero-3-phosphoserine calcium',
        '1,2-naphthoquinone',
        '1,2-octanediol',
        '1,2-propanediamine',
        '1,2-propanediol, 1-benzoate',
        '1,3,3,3-tetrafluoropropene, (1e)-',
        '1,3-bis(benzothiazol-2-ylthiomethyl)urea',
        '1,3-butylene glycol',
        '1,3-butylene glycol 1-propionate',
        '1,3-butylene glycol 1-stearate',
        '1,3-dichloro-2-propanol',
        '1,3-dimethylbutyl salicylate',
        '1,3-dimethylol-5,5-dimethylhydantoin',
        '1,3-dimethylurea',
        '1,3-propanediol',
        '1,3-propanediol bis(4-aminobenzoate)',
        '1,4-benzoquinone',
        '1,4-butanediol monostearate',
        '1,4-diphenyl-1,3-butadiene',
        '1,4-naphthoquinone',
        '1,4-sorbitan',
        '1,5-pentanediol',
        '1,6-hexamethylene diisocyanate',
        '1,9-decadiene',
        '1-(2,4-dichlorophenyl)ethanol',
        '1-(3,5-bis(trifluoromethyl)phenyl)ethanol',
        '1-(4-(4-chlorophenyl)-3-phenyl-2-butenyl)-pyrrolidine 1,5-naphthalenedisulfonate',
        '1-(4-chlorophenyl)-1-phenylethanol',
        '1-(4-hydroxy-3-methoxyphenyl)-decan-3-one',
        '1-(c14-c18 esteroyl)-2-docosahexanoyl-sn-glycero-3-phosphocholine',
        '1-(c14-c18 esteroyl)-2-docosahexanoyl-sn-glycero-3-phosphoethanolamine',
        '1-alpha-vitamin d',
        '1-butene',
        ... 25485 more items ] } }

```
