const axios = require('axios')
const RxnormApi = require('../rxnorm-api')
module.exports = class RxnavApi {
    constructor() {
        this.config = {
            baseUrl: `https://rxnav.nlm.nih.gov/REST`,
            headers: { 'X-Source': 'rxnav-api', 
            'Accept':'application/json' }
        }
    }
    isJson() {
        return this.config.headers.Accept === 'application/json'
    }
    isXml() {
        return !this.isJson()
    }
    json() {
        this.config.headers.Accept='application/json'
        return this
    }
    xml() {
        this.config.headers.Accept='application/xml'
        return this
    }
    baseUrl() {
        return this.config.baseUrl
    }
    headers() {
        return this.config.headers
    }
    rxnorm() {
        return new RxnormApi(this.config)
    }
    
    async restfulEndpointsList() {
        console.log('restfulEndpointsList')
        return (await axios({
            method:'get',
            url: `${this.baseUrl()}/`,
            headers: this.headers()
        })).data
    }

}